Bug 1933556 - KDE Plasma does not automatically switch to Plasma Wayland on upgrade to F34
Summary: KDE Plasma does not automatically switch to Plasma Wayland on upgrade to F34
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F34BetaFreezeException 1882465
TreeView+ depends on / blocked
 
Reported: 2021-03-01 04:56 UTC by Neal Gompa
Modified: 2021-03-05 16:35 UTC (History)
8 users (show)

Fixed In Version: sddm-0.19.0-8.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-05 16:35:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Neal Gompa 2021-03-01 04:56:26 UTC
Description of problem:
With the change to Wayland by default for KDE Plasma, we should have SDDM switch users to the Wayland session by default initially on upgrade to make it consistent with the new install experience.

Comment 1 Fedora Update System 2021-03-01 05:01:42 UTC
FEDORA-2021-11031d32b1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-11031d32b1

Comment 2 Fedora Blocker Bugs Application 2021-03-01 05:04:38 UTC
Proposed as a Freeze Exception for 34-beta by Fedora user ngompa using the blocker tracking app because:

 This completes the transition to make it consistent for upgrades and new installs.

Comment 3 Adam Williamson 2021-03-01 17:00:33 UTC
+3 in https://pagure.io/fedora-qa/blocker-review/issue/266 , marking accepted.

Comment 4 Fedora Update System 2021-03-02 04:31:22 UTC
FEDORA-2021-11031d32b1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-11031d32b1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-11031d32b1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-03-05 16:35:20 UTC
FEDORA-2021-11031d32b1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.